<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>CreateStartScripts (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CreateStartScripts (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/jvm/application/tasks/CreateStartScripts.html" target="_top">Frames</a></li>
<li><a href="CreateStartScripts.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.jvm.application.tasks</div>
<h2 title="Class CreateStartScripts" class="title">Class CreateStartScripts</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li>org.gradle.jvm.application.tasks.CreateStartScripts</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/gradle/api/tasks/application/CreateStartScripts.html" title="class in org.gradle.api.tasks.application">CreateStartScripts</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">CreateStartScripts</span>
extends org.gradle.api.internal.ConventionTask</pre>
<div class="block">Creates start scripts for launching JVM applications.
 <p>
 Example:
 <pre class='autoTested'>
 task createStartScripts(type: CreateStartScripts) {
   outputDir = file('build/sample')
   mainClassName = 'org.gradle.test.Main'
   applicationName = 'myApp'
   classpath = files('path/to/some.jar')
 }
 </pre>
 <p>
 Note: the Gradle <code>"application"</code> plugin adds a pre-configured task of this type named <code>"startScripts"</code>.
 <p>
 The task generates separate scripts targeted at Microsoft Windows environments and UNIX-like environments (e.g. Linux, Mac OS X).
 The actual generation is implemented by the <a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getWindowsStartScriptGenerator()"><code>getWindowsStartScriptGenerator()</code></a> and <a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getUnixStartScriptGenerator()"><code>getUnixStartScriptGenerator()</code></a> properties, of type <a href="../../../../../org/gradle/jvm/application/scripts/ScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts"><code>ScriptGenerator</code></a>.
 <p>
 Example:
 <pre class='autoTested'>
 task createStartScripts(type: CreateStartScripts) {
   unixStartScriptGenerator = new CustomUnixStartScriptGenerator()
   windowsStartScriptGenerator = new CustomWindowsStartScriptGenerator()
 }

 class CustomUnixStartScriptGenerator implements ScriptGenerator {
   void generateScript(JavaAppStartScriptGenerationDetails details, Writer destination) {
     // implementation
   }
 }

 class CustomWindowsStartScriptGenerator implements ScriptGenerator {
   void generateScript(JavaAppStartScriptGenerationDetails details, Writer destination) {
     // implementation
   }
 }
 </pre>
 <p>
 The default generators are of the type <a href="../../../../../org/gradle/jvm/application/scripts/TemplateBasedScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts"><code>TemplateBasedScriptGenerator</code></a>, with default templates.
 This templates can be changed via the <a href="../../../../../org/gradle/jvm/application/scripts/TemplateBasedScriptGenerator.html#setTemplate(org.gradle.api.resources.TextResource)"><code>TemplateBasedScriptGenerator.setTemplate(org.gradle.api.resources.TextResource)</code></a> method.
 <p>
 The default implementations used by this task use <a href="http://docs.groovy-lang.org/latest/html/documentation/template-engines.html#_simpletemplateengine">Groovy's SimpleTemplateEngine</a>
 to parse the template, with the following variables available:

 <ul>
 <li><code>applicationName</code></li>
 <li><code>optsEnvironmentVar</code></li>
 <li><code>exitEnvironmentVar</code></li>
 <li><code>mainClassName</code></li>
 <li><code>defaultJvmOpts</code></li>
 <li><code>appNameSystemProperty</code></li>
 <li><code>appHomeRelativePath</code></li>
 <li><code>classpath</code></li>
 </ul>
 <p>
 Example:
 <pre>
 task createStartScripts(type: CreateStartScripts) {
   unixStartScriptGenerator.template = resources.text.fromFile('customUnixStartScript.txt')
   windowsStartScriptGenerator.template = resources.text.fromFile('customWindowsStartScript.txt')
 }
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#CreateStartScripts()">CreateStartScripts</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#generate()">generate</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getApplicationName()">getApplicationName</a></strong>()</code>
<div class="block">The application's name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">The class path for the application.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getDefaultJvmOpts()">getDefaultJvmOpts</a></strong>()</code>
<div class="block">The application's default JVM options.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getExitEnvironmentVar()">getExitEnvironmentVar</a></strong>()</code>
<div class="block">The environment variable to use to control exit value (Windows only).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getMainClassName()">getMainClassName</a></strong>()</code>
<div class="block">The main classname used to start the Java application.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getOptsEnvironmentVar()">getOptsEnvironmentVar</a></strong>()</code>
<div class="block">The environment variable to use to provide additional options to the JVM.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getOutputDir()">getOutputDir</a></strong>()</code>
<div class="block">The directory to write the scripts into.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getUnixScript()">getUnixScript</a></strong>()</code>
<div class="block">Returns the full path to the Unix script.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/jvm/application/scripts/ScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts">ScriptGenerator</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getUnixStartScriptGenerator()">getUnixStartScriptGenerator</a></strong>()</code>
<div class="block">The UNIX-like start script generator.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getWindowsScript()">getWindowsScript</a></strong>()</code>
<div class="block">Returns the full path to the Windows script.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/jvm/application/scripts/ScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts">ScriptGenerator</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#getWindowsStartScriptGenerator()">getWindowsStartScriptGenerator</a></strong>()</code>
<div class="block">The Windows start script generator.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#setApplicationName(java.lang.String)">setApplicationName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;applicationName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#setClasspath(org.gradle.api.file.FileCollection)">setClasspath</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#setDefaultJvmOpts(java.lang.Iterable)">setDefaultJvmOpts</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;defaultJvmOpts)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#setExitEnvironmentVar(java.lang.String)">setExitEnvironmentVar</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;exitEnvironmentVar)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#setMainClassName(java.lang.String)">setMainClassName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;mainClassName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#setOptsEnvironmentVar(java.lang.String)">setOptsEnvironmentVar</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;optsEnvironmentVar)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#setOutputDir(java.io.File)">setOutputDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDir)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#setUnixStartScriptGenerator(org.gradle.jvm.application.scripts.ScriptGenerator)">setUnixStartScriptGenerator</a></strong>(<a href="../../../../../org/gradle/jvm/application/scripts/ScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts">ScriptGenerator</a>&nbsp;unixStartScriptGenerator)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/jvm/application/tasks/CreateStartScripts.html#setWindowsStartScriptGenerator(org.gradle.jvm.application.scripts.ScriptGenerator)">setWindowsStartScriptGenerator</a></strong>(<a href="../../../../../org/gradle/jvm/application/scripts/ScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts">ScriptGenerator</a>&nbsp;windowsStartScriptGenerator)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CreateStartScripts()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CreateStartScripts</h4>
<pre>public&nbsp;CreateStartScripts()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOptsEnvironmentVar()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOptsEnvironmentVar</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getOptsEnvironmentVar()</pre>
<div class="block">The environment variable to use to provide additional options to the JVM.</div>
</li>
</ul>
<a name="getExitEnvironmentVar()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExitEnvironmentVar</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExitEnvironmentVar()</pre>
<div class="block">The environment variable to use to control exit value (Windows only).</div>
</li>
</ul>
<a name="getUnixScript()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnixScript</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getUnixScript()</pre>
<div class="block">Returns the full path to the Unix script. The target directory is represented by the output directory, the file name is the application name without a file extension.</div>
</li>
</ul>
<a name="getWindowsScript()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWindowsScript</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getWindowsScript()</pre>
<div class="block">Returns the full path to the Windows script. The target directory is represented by the output directory, the file name is the application name plus the file extension .bat.</div>
</li>
</ul>
<a name="getOutputDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputDir</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputDir()</pre>
<div class="block">The directory to write the scripts into.</div>
</li>
</ul>
<a name="setOutputDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutputDir</h4>
<pre>public&nbsp;void&nbsp;setOutputDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDir)</pre>
</li>
</ul>
<a name="getMainClassName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMainClassName</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMainClassName()</pre>
<div class="block">The main classname used to start the Java application.</div>
</li>
</ul>
<a name="setMainClassName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMainClassName</h4>
<pre>public&nbsp;void&nbsp;setMainClassName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;mainClassName)</pre>
</li>
</ul>
<a name="getDefaultJvmOpts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultJvmOpts</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getDefaultJvmOpts()</pre>
<div class="block">The application's default JVM options. Defaults to an empty list.</div>
</li>
</ul>
<a name="setDefaultJvmOpts(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultJvmOpts</h4>
<pre>public&nbsp;void&nbsp;setDefaultJvmOpts(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;defaultJvmOpts)</pre>
</li>
</ul>
<a name="getApplicationName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplicationName</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getApplicationName()</pre>
<div class="block">The application's name.</div>
</li>
</ul>
<a name="setApplicationName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setApplicationName</h4>
<pre>public&nbsp;void&nbsp;setApplicationName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;applicationName)</pre>
</li>
</ul>
<a name="setOptsEnvironmentVar(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOptsEnvironmentVar</h4>
<pre>public&nbsp;void&nbsp;setOptsEnvironmentVar(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;optsEnvironmentVar)</pre>
</li>
</ul>
<a name="setExitEnvironmentVar(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExitEnvironmentVar</h4>
<pre>public&nbsp;void&nbsp;setExitEnvironmentVar(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;exitEnvironmentVar)</pre>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getClasspath()</pre>
<div class="block">The class path for the application.</div>
</li>
</ul>
<a name="setClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasspath</h4>
<pre>public&nbsp;void&nbsp;setClasspath(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</pre>
</li>
</ul>
<a name="getUnixStartScriptGenerator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnixStartScriptGenerator</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../../org/gradle/jvm/application/scripts/ScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts">ScriptGenerator</a>&nbsp;getUnixStartScriptGenerator()</pre>
<div class="block">The UNIX-like start script generator.
 <p>
 Defaults to an implementation of <a href="../../../../../org/gradle/jvm/application/scripts/TemplateBasedScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts"><code>TemplateBasedScriptGenerator</code></a>.</div>
</li>
</ul>
<a name="setUnixStartScriptGenerator(org.gradle.jvm.application.scripts.ScriptGenerator)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUnixStartScriptGenerator</h4>
<pre>public&nbsp;void&nbsp;setUnixStartScriptGenerator(<a href="../../../../../org/gradle/jvm/application/scripts/ScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts">ScriptGenerator</a>&nbsp;unixStartScriptGenerator)</pre>
</li>
</ul>
<a name="getWindowsStartScriptGenerator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWindowsStartScriptGenerator</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../../org/gradle/jvm/application/scripts/ScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts">ScriptGenerator</a>&nbsp;getWindowsStartScriptGenerator()</pre>
<div class="block">The Windows start script generator.
 <p>
 Defaults to an implementation of <a href="../../../../../org/gradle/jvm/application/scripts/TemplateBasedScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts"><code>TemplateBasedScriptGenerator</code></a>.</div>
</li>
</ul>
<a name="setWindowsStartScriptGenerator(org.gradle.jvm.application.scripts.ScriptGenerator)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWindowsStartScriptGenerator</h4>
<pre>public&nbsp;void&nbsp;setWindowsStartScriptGenerator(<a href="../../../../../org/gradle/jvm/application/scripts/ScriptGenerator.html" title="interface in org.gradle.jvm.application.scripts">ScriptGenerator</a>&nbsp;windowsStartScriptGenerator)</pre>
</li>
</ul>
<a name="generate()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generate</h4>
<pre>public&nbsp;void&nbsp;generate()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/jvm/application/tasks/CreateStartScripts.html" target="_top">Frames</a></li>
<li><a href="CreateStartScripts.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
